MetricSetControllerAddDynamicHierarchy Method

POST /MetricSet/AddDynamicHierarchy/{id} Adds a dynamic hierarchy to the metric set.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("AddDynamicHierarchy")]
public IActionResult AddDynamicHierarchy(
	Guid id,
	[FromBodyAttribute] AddDynamicHierarchyOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to add the dynamic hierarchy to.
options
Type: Dundas.BI.WebApi.ModelsAddDynamicHierarchyOptions
The options for adding the dynamic hierarchy.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also